GHSA-jh36-q97c-9928

Suggest an improvement
Source
https://github.com/advisories/GHSA-jh36-q97c-9928
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/03/GHSA-jh36-q97c-9928/GHSA-jh36-q97c-9928.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-jh36-q97c-9928
Aliases
Published
2023-03-01T21:30:18Z
Modified
2023-11-08T04:09:38.130368Z
Severity
  • 8.8 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
Kubernetes vulnerable to validation bypass
Details

Users may have access to secure endpoints in the control plane network. Kubernetes clusters are only affected if an untrusted user can modify Node objects and send proxy requests to them. Kubernetes supports node proxying, which allows clients of kube-apiserver to access endpoints of a Kubelet to establish connections to Pods, retrieve container logs, and more. While Kubernetes already validates the proxying address for Nodes, a bug in kube-apiserver made it possible to bypass this validation. Bypassing this validation could allow authenticated requests destined for Nodes to to the API server's private network.

References

Affected packages

Go / github.com/kubernetes/kubernetes

Package

Name
github.com/kubernetes/kubernetes
View open source insights on deps.dev
Purl
pkg:golang/github.com/kubernetes/kubernetes

Affected ranges

Type
SEMVER
Events
Introduced
1.25.0
Fixed
1.25.4

Go / github.com/kubernetes/kubernetes

Package

Name
github.com/kubernetes/kubernetes
View open source insights on deps.dev
Purl
pkg:golang/github.com/kubernetes/kubernetes

Affected ranges

Type
SEMVER
Events
Introduced
1.24.0
Fixed
1.24.8

Go / github.com/kubernetes/kubernetes

Package

Name
github.com/kubernetes/kubernetes
View open source insights on deps.dev
Purl
pkg:golang/github.com/kubernetes/kubernetes

Affected ranges

Type
SEMVER
Events
Introduced
1.23.0
Fixed
1.23.14

Go / github.com/kubernetes/kubernetes

Package

Name
github.com/kubernetes/kubernetes
View open source insights on deps.dev
Purl
pkg:golang/github.com/kubernetes/kubernetes

Affected ranges

Type
SEMVER
Events
Introduced
1.22.0
Fixed
1.22.16